package com.aiwazian.messenger.data

import androidx.annotation.Keep
import kotlinx.serialization.Serializable
import com.google.gson.annotations.SerializedName

@Keep
@Serializable
data class Attachment(
    @Keep val id: String,
    @Keep val messageId: Int = 0,
    @Keep val chatId: Long = 0,
    @Keep val name: String,
    @Keep val url: String = "",
    @Keep val size: Long,
    @Keep val mimeType: String? = null
)

@Keep
data class FileDownloadUrlResponse(
    val downloadUrl: String,
    val name: String,
    val size: String,
    val mimeType: String
)

@Keep
data class FileUploadInitRequest(val name: String, val size: Long, val mimeType: String)

@Keep
data class FileUploadInitResponse(val signedUrl: String, val fileId: String)

@Keep
data class FileUploadConfirmRequest(val fileId: String, val text: String? = null)
